ServersCreate server
Servers

Create server

Register a new MCP server. The server is probed for available tools upon creation. Returns 409 Conflict if a server with the same name already exists.

curl -X POST "https://api.mythic-analytics.com/api/v1/mcp/servers" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "Analytics Tools Server",
  "url": "https://mcp.mythic-analytics.com/analytics",
  "description": "example_string",
  "auth_token": "example_string"
}'
{
  "success": true,
  "data": {
    "id": "srv_5kN2mPqR",
    "name": "Analytics Tools Server",
    "url": "https://mcp.mythic-analytics.com/analytics",
    "description": "example_string",
    "status": "active",
    "tool_count": 8,
    "last_probed": "2024-06-15T12:00:00.000Z",
    "created_at": "2024-04-01T10:00:00.000Z"
  }
}
POST
/mcp/servers
POST
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Required

Display name for the server.

urlstring
Required

MCP server endpoint URL.

Format: uri
descriptionstring

Optional description.

auth_tokenstring

Authentication token for the server.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Body

application/json
namestring
Required

Display name for the server.

urlstring
Required

MCP server endpoint URL.

descriptionstring

Optional description.

auth_tokenstring

Authentication token for the server.

Responses